# JUnitXmlReport

interface JUnitXmlReport : DirectoryReport

The JUnit XML files, commonly used to communicate results to CI servers.

#### See also

TestTaskReports

## Properties

NAMER
Link copied to clipboard
val NAMER: Namer<Report>

## Functions

configure
Link copied to clipboard
abstract fun configure(cl: Closure): T
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEntryPoint
Link copied to clipboard
abstract fun getEntryPoint(): File
getIncludeSystemErrLog
Link copied to clipboard
@Input
@Incubating
abstract fun getIncludeSystemErrLog(): Property<Boolean>
Decide to include or omit the system err log in the XML report.
getIncludeSystemOutLog
Link copied to clipboard
@Input
@Incubating
abstract fun getIncludeSystemOutLog(): Property<Boolean>
Decide to include or omit the system out log in the XML report.
getMergeReruns
Link copied to clipboard
@Input
abstract fun getMergeReruns(): Property<Boolean>
Whether reruns or retries of a test should be merged into a combined testcase.
getName
Link copied to clipboard
abstract fun getName(): String
getOutputLocation
Link copied to clipboard
abstract fun getOutputLocation(): DirectoryProperty
abstract fun getOutputLocation(): Property<out FileSystemLocation>
getOutputType
Link copied to clipboard
abstract fun getOutputType(): Report.OutputType
getRequired
Link copied to clipboard
abstract fun getRequired(): Property<Boolean>
isOutputPerTestCase
Link copied to clipboard
@Input
abstract fun isOutputPerTestCase(): Boolean
Should the output be associated with individual test cases instead of at the suite level.
setOutputPerTestCase
Link copied to clipboard
abstract fun setOutputPerTestCase(outputPerTestCase: Boolean)
Should the output be associated with individual test cases instead of at the suite level.